﻿#region Details
// Class  - PlayerController 
// Author - Chris 230115
// Description:
// Player Controller Class
// Contains and controls the games two player controlled objects
// Maintains correct placement and swapping 
#endregion

#region Includes
using UnityEngine;
using System.Collections;
#endregion

// PlayerController //
public class PlayerController : MonoBehaviour {
	// Unity Editor Variables //
	[ SerializeField ] private Player mBluedog = null;
	[ SerializeField ] private Player mReddog  = null;

	// Start                                    //
	// Sets correct initial position and states //
	void Start () {
		mBluedog.SetPosition( Player.Position.LEADING );
		mReddog.SetPosition( Player.Position.FOLLOWING );
	}

	// Update          //
	// Deal with input //
	void Update () {
		// Deal with player 1 input
		if( Input.GetButtonDown( "Player1 Jump" ) ) {
			mReddog.Jump();
		}
		if( Input.GetButtonDown( "Player1 Ability" ) ) {
			mReddog.TakeLead();
			mBluedog.TakeLead();
		}

		// Deal with player 2 input
		if( Input.GetButtonDown( "Player2 Jump" ) ) {
			mBluedog.Jump();
		}
		if( Input.GetButtonDown( "Player2 Ability" ) ) {
			mBluedog.TakeLead();
			mReddog.TakeLead();
		}
	}
}